// $Id: CommandsFailedDialog.cpp,v 1.5 2013/11/13 13:52:11 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "CommandsFailedDialog.h"
#include "CommandsFailedDialog.moc"

//_____________________________________________________________________
CommandsFailedDialog::CommandsFailedDialog( QWidget* parent, const AlienCommand::List& commands ):
    QuestionDialog( parent )
{

    const int count( commands.size() );
    QString buffer;
    if( count > 1 )
    {
        setText( QString( tr( "%1 commands have failed. Retry ?" ) ).arg( count ) );

        // details
        QString buffer;
        QTextStream what( &buffer );
        foreach( const AlienCommand& command, commands )
        { what << command.errorString() << endl << endl; }

        setDetails( buffer );

    } else {

        setText( commands.front().errorString() );
        setDetails( commands.front().errorDetails() );

    }

    okButton().setText( tr( "Retry" ) );

}
